import java.awt.*;
import javax.swing.*;

/**
 * HelloJavaGame
 */
public class HelloJavaGame {

	/**
	 * ここからはじまります。
	 */
	public static void main(String[] args){
		HelloJavaGame hg = new HelloJavaGame();
	}

	/**
	 * コンストラクタ
	 */
	public HelloJavaGame(){

		// フレームを生成
		JFrame frame = new JFrame("Hello Java Game!!");

		// ×ボタンが押されたら、終了する
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		// レイアウト設定
		frame.setLayout(new BorderLayout());

		// パネルを生成
		JPanel panel = new JPanel();

		// パネルサイズを設定
		panel.setPreferredSize(new Dimension(800, 600));
		// レイアウト設定
		panel.setLayout(null);

		// フレームにパネルを設定
		frame.setContentPane(panel);

		// ラベルを生成
		JLabel label1 = new JLabel("Hello Java Game!!");

		// フォントの設定
		label1.setFont(new Font("ＭＳ ゴシック", Font.BOLD, 24));

		// パネルにラベルを追加
		panel.add(label1);

		// ラベルの位置を設定
		label1.setBounds(100, 100, 300, 30);

		// ラベルを生成
		JLabel label2 = new JLabel("v(^_^)");

		// フォントの設定
		label2.setFont(new Font("ＭＳ ゴシック", Font.BOLD, 48));

		// パネルにラベルを追加
		panel.add(label2);

		// ラベルの色を設定
		label2.setForeground(new Color(255, 96, 0));

		// ラベルの位置を設定
		label2.setBounds(180, 180, 300, 50);

		// フレームを表示
		frame.setVisible(true);
		// サイズを最適化する
		frame.pack();

	} // end HelloJavaGame

}
